Webhooks
List webhook endpoints
Lists your webhook endpoints.
GET
Lists your webhook endpoints.
bearerheader
AuthorizationBearer <JWT>Your secret API key: sk_live_… for live traffic or sk_test_… for testing.
page?numberPage number, starting at 1.
Range
1 <= value <= 2147483647limit?numberItems per page, 1 to 100. Defaults to 10.
Range
1 <= value <= 100A page of endpoints.
application/jsoncurl -X GET 'https://api.appstractone.com/v1/webhooks'Example Response
{
"docs": [
{
"id": "whe_01M6MJSC366MMHPMM73ABCM5JA",
"url": "https://example.com/webhooks/appstract",
"events": [
"message.delivered",
"message.failed"
],
"description": "Order notifications",
"enabled": true,
"createdAt": "2026-11-05T00:47:20.681Z",
"updatedAt": "2026-11-05T00:47:20.681Z"
}
],
"totalDocs": 1,
"limit": 10,
"totalPages": 1,
"page": 1,
"pagingCounter": 1,
"hasPrevPage": false,
"hasNextPage": false,
"prevPage": null,
"nextPage": null
}